Sign in to follow this  
stebow

System requirements for E jet 175

Recommended Posts

After a lot of hours trying, wilco informs me that the E Jet is not compatible in windows8 64 bit. I can't find one way or another on their website if the E Jet is compatible with FSX in windows8 64 bit, it only addresses windows7. Can anyone here confirm or deny windows8 for me please?

 

Thanks Steve

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

Sign in to follow this